complexType "TriggerEvent"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | schedule*, triggerDates?, trigger, featurePayment?
</...>

Content Model Elements (4):

  featurePayment, schedule (defined in TriggerEvent complexType), | trigger (defined in TriggerEvent complexType), triggerDates

All Direct / Indirect Based Elements (4):

  barrierCap, barrierFloor, knockIn, knockOut

Known Usage Locations

- As direct type of elements (4):
  barrierCap, barrierFloor, knockIn, knockOut

Annotation
Observation point for trigger.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="TriggerEvent"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="schedule" type="AveragingSchedule"/> <xsd:element minOccurs="0" name="triggerDates" type="DateList"/> <xsd:element name="trigger" type="Trigger"/> <xsd:element minOccurs="0" name="featurePayment" type="FeaturePayment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
featurePayment

  Type: | FeaturePayment, complex content

  The feature payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="featurePayment" type="FeaturePayment"/>

schedule

  Type: | AveragingSchedule, complex content

  A Equity Derivative schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="schedule" type="AveragingSchedule"/>

trigger

  Type: | Trigger, complex content

  The trigger level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="trigger" type="Trigger"/>

triggerDates

  Type: | DateList, complex content

  The trigger Dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="triggerDates" type="DateList"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.